--- webkit/glue/resource_fetcher_unittest.cc
+++ webkit/glue/resource_fetcher_unittest.cc
@@ -2,7 +2,7 @@
 // Use of this source code is governed by a BSD-style license that can be
 // found in the LICENSE file.
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include <gtk/gtk.h>
 #endif
 
@@ -76,7 +76,7 @@ class FetcherDelegate {
 #if defined(OS_WIN)
     timer_id_ = ::SetTimer(NULL, NULL, interval,
                            &FetcherDelegate::TimerCallback);
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
     timer_id_ = g_timeout_add(interval, &FetcherDelegate::TimerCallback, NULL);
 #elif defined(OS_MACOSX)
     // CFAbsoluteTime is in seconds and |interval| is in ms, so make sure we
@@ -93,7 +93,7 @@ class FetcherDelegate {
   void DestroyTimer() {
 #if defined(OS_WIN)
     ::KillTimer(NULL, timer_id_);
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
     g_source_remove(timer_id_);
 #elif defined(OS_MACOSX)
     CFRunLoopRemoveTimer(CFRunLoopGetCurrent(), timer_id_,
@@ -108,7 +108,7 @@ class FetcherDelegate {
                                      DWORD ms) {
     instance_->TimerFired();
   }
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   static gboolean TimerCallback(gpointer data) {
     instance_->TimerFired();
     return true;
@@ -137,7 +137,7 @@ class FetcherDelegate {
  private:
 #if defined(OS_WIN)
   UINT_PTR timer_id_;
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   guint timer_id_;
 #elif defined(OS_MACOSX)
   CFRunLoopTimerRef timer_id_;
diff --git webkit/glue/webclipboard_impl.cc webkit/glue/webclipboard_impl.cc
index bac8e0a..0cfcf33 100644
